Posts

Showing posts from August 23, 2015

Minecraft Mac PowerPC : Java 6 on os x 10.4.11

Image
Here is a little tutorial on how to get minecraft 1.5.2 or under on your os 10.4 mac.

My specs (dumbed down): Powerpc G3 500 Mhz os 10.4.11 iBook g3 snow early 2001

1: First you have to download the java6 developer preview (build 5 or 6) which is the only one built to run on 10.4.11

2: Then you have to download the OLD 1.5 LAUNCHER and a copy of the OLD .minecraft FOLDER (with the old bin/ folder for 1.5) NOTE: DO NOT download the .jar files for minecraft. You must download them legally through your purchased minecraft and copy them to your mac minecraft/bin folder.

3: You have to delete the java version files in the java folder in /system. Tutorials can be found online on how to do this. NOTE: Do not download the .dmg labled java6-dp.dmg, as far as i know this one doesnt work.

4: Install java from the .dmg you downloaded earlier

5: You may not have to do this, but for me i had to move the old java 5 folders and rename the java 6 folders to what the java 5 ones were.

6: Open terminal.…

Minetest PowerPC (PPC) Mac : Working test build : TUTORIALS COMING SOON

Image
I have successfully compiled the app on mac using Toabi's Mintest-Mac at github. I had to use the oldest version for the first test (some 0.2.2 dev) but it after a few modifications it compiled and ran. The screenshot below will show you the current issue I'm facing... Broken textures. So for all the people who dont wanna do the work out there. YES, minetest will compile and run on a mac g3. Here are the specs of my machine:

iBook G3 early may 2001 dual usb 12"

CPU: IBM Power5 (powerpc) G3 clocked at 500Mhz

GPU: Some ati 8mb chip (which I can get 6 fps on surprisingly)

RAM: 192MB (64 built in, 128 expanded)

Display: 1280x768 millions of colors.

OS: Mac OSX 10.4.11 (with all avalible updates and X11) NOTE: X11 not used by minetest

XCode 2.5

CMake 3.0.0<

OpenGL 1.1

I will continue to test and build. Tutorials coming soon!!! (Trying to compile the 0.4.dev right now)